# the compiler crashed with the default, try with -j6
#global _smp_ncpus_max 6

Summary:	Matroska multimedia file utils
Name:		mkvtoolnix
Version:	92.0
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Video/Editors and Converters
URL:		https://mkvtoolnix.download
Source0:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz
Source1:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz.sig
Source2:	https://mkvtoolnix.download/gpg-pub-moritzbunkus.txt
BuildRequires:	gnupg2
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(libmatroska) >= 1.7.1
BuildRequires:	pkgconfig(libebml)
BuildRequires:	json-devel
BuildRequires:	liblzo-devel
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	utf8cpp-devel
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(expat)
BuildRequires:	boost-devel
BuildRequires:	gcc-c++
BuildRequires:	multiarch-utils
BuildRequires:	ruby-rake
#for generating the man pages:
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	po4a
BuildRequires:	pkgconfig(gmp)
# bundles a modified avilib
Provides:	bundled(avilib) = 0.6.10
# https://www.bunkus.org/videotools/librmff/index.html
Provides:	bundled(librmff) = 0.6.0

%description
These tools allow information about (mkvinfo) or extraction
from (mkvdemux) or creation of (mkvmerge) or the splitting of
(mkvsplit) Matroska files.

%package gui
Summary:	QT Graphical interface for Matroska container manipulation
Requires:	%{name} = %{version}-%{release}
Requires:	hicolor-icon-theme

%description gui
Mkvtoolnix is a set of utilities to mux and demux audio, video and subtitle
streams into and from Matroska containers.
This package contains the QT graphical interface for these utilities.

%prep
gpg2 --import --import-options import-minimal --no-default-keyring --keyring ./gpg-keyring.gpg %{S:2}
gpgv2 --keyring ./gpg-keyring.gpg %{S:1} %{S:0}
%autosetup -p1
rm -rf lib/{boost,fmt,libebml,libmatroska,nlohmann-json,pugixml,utf8-cpp}
rm -rf rake.d/vendor drake

%build
%configure \
  --disable-optimization \
  --disable-update-check \
  --with-extra-includes=/usr/include/ebml,/usr/include/matroska \
  --with-boost-libdir=%{_libdir}
rake %{?_smp_mflags} V=1

%install
rake install DESTDIR=%{buildroot} TOOLS=1
install -pm 755 src/tools/{base64tool,diracparser,ebml_validator,vc1parser} %{buildroot}%{_bindir}

%find_lang %{name}
%find_lang mkvextract --with-man
%find_lang mkvmerge --with-man
%find_lang mkvpropedit --with-man
%find_lang mkvinfo --with-man
cat mkv{extract,info,merge,propedit}.lang >> mkvtoolnix.lang

%find_lang mkvtoolnix-gui --with-man


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%{_bindir}/base64tool
%{_bindir}/diracparser
%{_bindir}/ebml_validator
%{_bindir}/mkvextract
%{_bindir}/mkvinfo
%{_bindir}/mkvmerge
%{_bindir}/mkvpropedit
%{_bindir}/vc1parser
%{_mandir}/man1/mkvextract.1*
%{_mandir}/man1/mkvinfo.1*
%{_mandir}/man1/mkvmerge.1*
%{_mandir}/man1/mkvpropedit.1*

%files gui -f mkvtoolnix-gui.lang
%{_bindir}/mkvtoolnix-gui
%{_mandir}/man1/mkvtoolnix-gui.1*
%{_datadir}/applications/org.bunkus.mkvtoolnix-gui.desktop
%{_datadir}/metainfo/org.bunkus.mkvtoolnix-gui.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/mime/packages/org.bunkus.mkvtoolnix-gui.xml
%{_datadir}/mkvtoolnix


%changelog
* Sat Apr 26 2025 daviddavid <daviddavid> 92.0-1.mga10
+ Revision: 2179079
- new version: 92.0

* Mon Apr 14 2025 daviddavid <daviddavid> 91.0-1.mga10
+ Revision: 2175615
- new version: 91.0

* Sun Feb 09 2025 wally <wally> 89.0-2.mga10
+ Revision: 2146252
- rebuild for boost 1.87.0

* Sun Dec 29 2024 daviddavid <daviddavid> 89.0-1.mga10
+ Revision: 2131332
- new version: 89.0

* Wed Nov 27 2024 daviddavid <daviddavid> 88.0-1.mga10
+ Revision: 2119373
- new version: 88.0

* Wed Oct 02 2024 daviddavid <daviddavid> 87.0-2.mga10
+ Revision: 2102461
- rebuild for new fmt 11.0.2

* Sat Sep 14 2024 daviddavid <daviddavid> 87.0-1.mga10
+ Revision: 2096168
- new version: 87.0

* Fri Sep 13 2024 wally <wally> 86.0-2.mga10
+ Revision: 2095497
- rebuild for boost 1.86.0

* Thu Aug 22 2024 daviddavid <daviddavid> 86.0-1.mga10
+ Revision: 2087406
- new version: 86.0

* Wed Jun 19 2024 wally <wally> 83.0-2.mga10
+ Revision: 2075370
- rebuild for boost 1.85.0

* Thu Mar 21 2024 daviddavid <daviddavid> 83.0-1.mga10
+ Revision: 2051177
- new version: 83.0

* Fri Jan 12 2024 wally <wally> 74.0.0-4.mga10
+ Revision: 2030570
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 74.0.0-3.mga10
+ Revision: 1991473
- rebuild for boost 1.83.0
+ daviddavid <daviddavid>
- finally there is no pcre2 support

* Sun Apr 16 2023 daviddavid <daviddavid> 74.0.0-2.mga9
+ Revision: 1953265
- enable pcre2 support

* Mon Feb 13 2023 daviddavid <daviddavid> 74.0.0-1.mga9
+ Revision: 1941430
- new version: 74.0.0

* Wed Jan 04 2023 daviddavid <daviddavid> 73.0.0-1.mga9
+ Revision: 1929804
- new version: 73.0.0
- switch to Qt6

* Sun Nov 20 2022 wally <wally> 71.1.0-2.mga9
+ Revision: 1909275
- rebuild for flac 1.4.2

* Sun Oct 16 2022 papoteur <papoteur> 71.1.0-1.mga9
+ Revision: 1897173
- new 71.1.0
- Rebuild for libfmt 9.1.0

* Wed Apr 06 2022 umeabot <umeabot> 64.0.0-3.mga9
+ Revision: 1845868
- Mageia 9 Mass Rebuild

* Fri Jan 28 2022 neoclust <neoclust> 64.0.0-2.mga9
+ Revision: 1770148
- Rebuild against libcmark

* Thu Jan 13 2022 mrambo3501 <mrambo3501> 64.0.0-1.mga9
+ Revision: 1768209
- version 64.0.0
- removed system-boost Patch0 which no longer applies

* Thu Jun 24 2021 wally <wally> 56.1.0-2.mga9
+ Revision: 1732148
- rebuild for fmt 8.0.0

* Sun May 16 2021 wally <wally> 56.1.0-1.mga9
+ Revision: 1724983
- new version 56.1.0
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 49.0.0-3.mga8
+ Revision: 1666788
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 49.0.0-2.mga8
+ Revision: 1662030
- rebuild for boost 1.74.0

* Mon Aug 24 2020 zezinho <zezinho> 49.0.0-1.mga8
+ Revision: 1618535
- new version 49.0.0

* Wed Jul 22 2020 zezinho <zezinho> 48.0.0-1.mga8
+ Revision: 1607850
- new version 48.0.0

* Sun Jul 12 2020 zezinho <zezinho> 47.0.0-1.mga8
+ Revision: 1605333
- new version 47.0.0

* Sat May 16 2020 zezinho <zezinho> 46.0.0-1.mga8
+ Revision: 1584678
- new version 46

* Sun May 03 2020 wally <wally> 45.0.0-2.mga8
+ Revision: 1578084
- rebuild for boost 1.73.0

* Sun Apr 26 2020 zezinho <zezinho> 45.0.0-1.mga8
+ Revision: 1572293
- new version

* Mon Apr 06 2020 zezinho <zezinho> 44.0.0-1.mga8
+ Revision: 1565177
- new version

* Thu Feb 20 2020 umeabot <umeabot> 41.0.0-4.mga8
+ Revision: 1546451
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 41.0.0-3.mga8
+ Revision: 1486569
- rebuild for new cmark 0.29.0

* Sun Jan 26 2020 wally <wally> 41.0.0-2.mga8
+ Revision: 1483401
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Thu Jan 09 2020 zezinho <zezinho> 41.0.0-1.mga8
+ Revision: 1477421
- new version

* Wed Dec 04 2019 zezinho <zezinho> 40.0.0-1.mga8
+ Revision: 1464344
- new version

* Wed Oct 16 2019 zezinho <zezinho> 38.0.0-1.mga8
+ Revision: 1454041
- new version

* Mon Sep 30 2019 zezinho <zezinho> 37.0.0-1.mga8
+ Revision: 1448451
- new version 37.0.0

* Mon Aug 05 2019 zezinho <zezinho> 35.0.0-1.mga8
+ Revision: 1427411
- new version 35

* Sun Mar 31 2019 umeabot <umeabot> 32.0.0-2.mga7
+ Revision: 1383458
- Qt5 Rebuild

* Sun Mar 17 2019 zezinho <zezinho> 32.0.0-1.mga7
+ Revision: 1378294
- new version 32.0.0

* Wed Nov 07 2018 zezinho <zezinho> 28.2.0-1.mga7
+ Revision: 1328803
- fix BR
- new version 28.2.0

* Tue Oct 16 2018 wally <wally> 19.0.0-3.mga7
+ Revision: 1321066
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 19.0.0-2.mga7
+ Revision: 1299568
- Mageia 7 Mass Rebuild

* Thu Feb 01 2018 zezinho <zezinho> 19.0.0-1.mga7
+ Revision: 1198523
- new version

* Mon Dec 25 2017 wally <wally> 15.0.0-3.mga7
+ Revision: 1184687
- rebuild for new boost

* Sun Nov 19 2017 tv <tv> 15.0.0-2.mga7
+ Revision: 1177748
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 15.0.0-1.mga7
+ Revision: 1154795
- new release
- rebuild with latest boost
+ gw666 <gw666>
- new version 12.0.0
- new version 11.0.0
- update build deps
- add new files
- new version 10.0.0
- new version 9.0.0
- bump library deps
- remove obsolete configure option
- add build deps for generating man pages
- new version
- use ruby's rake for building

* Sun Jan 08 2017 zezinho <zezinho> 9.7.1-1.mga6
+ Revision: 1080718
- new version 9.7.1

* Sun Dec 11 2016 zezinho <zezinho> 9.6.0-1.mga6
+ Revision: 1074209
- new version 9.6.0

* Mon Sep 19 2016 zezinho <zezinho> 9.4.2-1.mga6
+ Revision: 1054503
- new version 9.4.2
+ gw666 <gw666>
- new version

* Mon Apr 25 2016 gw666 <gw666> 9.1.0-1.mga6
+ Revision: 1006035
- new version 9.1.0

* Mon Mar 28 2016 gw666 <gw666> 9.0.1-1.mga6
+ Revision: 996018
- new version 9.0.1
- add Korean man pages

* Sun Feb 21 2016 gw666 <gw666> 8.9.0-1.mga6
+ Revision: 975379
- new version 8.9.0
- add Polish man pages

* Fri Jan 22 2016 zezinho <zezinho> 8.8.0-1.mga6
+ Revision: 926570
- new version

* Sun Jan 03 2016 gw666 <gw666> 8.7.0-1.mga6
+ Revision: 918695
- new version 8.7.0

* Sat Dec 26 2015 daviddavid <daviddavid> 8.6.1-2.mga6
+ Revision: 915380
- rebuild for new boost 1.60.0

* Mon Nov 30 2015 gw666 <gw666> 8.6.1-1.mga6
+ Revision: 907289
- new version

* Sun Nov 29 2015 gw666 <gw666> 8.6.0-1.mga6
+ Revision: 907063
- new version

* Thu Nov 05 2015 gw666 <gw666> 8.5.2-1.mga6
+ Revision: 897893
- new version 8.5.2

* Wed Oct 21 2015 gw666 <gw666> 8.5.1-1.mga6
+ Revision: 893791
- new version
- bump libebml and libmatroska deps

* Sun Oct 18 2015 gw666 <gw666> 8.5.0-1.mga6
+ Revision: 892481
- add Catalan man pages
- new version

* Fri Sep 25 2015 tv <tv> 8.4.0-2.mga6
+ Revision: 883555
- rebuild for new boost

* Mon Sep 21 2015 gw666 <gw666> 8.4.0-1.mga6
+ Revision: 882037
- new version
- drop wxgtk based progams

* Mon Aug 17 2015 gw666 <gw666> 8.3.0-2.mga6
+ Revision: 865299
- build with -j6
- drop patch
- new version

* Sat Aug 15 2015 ycantin <ycantin> 8.2.0-5.mga6
+ Revision: 864917
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix spec formatting

* Fri Jul 31 2015 daviddavid <daviddavid> 8.2.0-3.mga6
+ Revision: 860032
- rebuild for new boost-1.58.0

* Thu Jul 23 2015 daviddavid <daviddavid> 8.2.0-2.mga6
+ Revision: 856280
- rebuild for new wxgtk built with gtk3

* Mon Jul 20 2015 gw666 <gw666> 8.2.0-1.mga6
+ Revision: 855623
- add Spanish man pages
- add build patch
- drop patch
- new version

* Wed Jul 01 2015 gw666 <gw666> 8.1.0-1.mga6
+ Revision: 849293
- fix the patch
- patch to fix compilation with the upcoming Qt 5.5.0
- new version 8.1.0
- new version 8.0.0
- new version
- add mkvtoolnix-gui
- depend on Qt5
- new version
- update dep versions

* Fri Feb 20 2015 zezinho <zezinho> 7.6.0-1.mga5
+ Revision: 816152
- new version 7.6
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 gw666 <gw666> 7.1.0-1.mga5
+ Revision: 665238
- new version
- disable curl support, we don't want the check for updates

* Sat Jul 05 2014 zezinho <zezinho> 7.0.0-1.mga5
+ Revision: 643651
- version 7.0.0

* Wed May 21 2014 zezinho <zezinho> 6.9.1-1.mga5
+ Revision: 624682
- new version

* Wed Mar 12 2014 dams <dams> 6.8.0-1.mga5
+ Revision: 602655
- new version 6.8.0

* Mon Feb 17 2014 fwang <fwang> 6.7.0-2.mga5
+ Revision: 593383
- build with wxgtk 3.0

* Sat Feb 08 2014 dams <dams> 6.7.0-1.mga5
+ Revision: 585745
- new version 6.7.0

* Tue Oct 29 2013 zezinho <zezinho> 6.5.0-1.mga4
+ Revision: 547765
- new version 6.5.0

* Sat Oct 19 2013 umeabot <umeabot> 6.3.0-3.mga4
+ Revision: 532404
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 luigiwalser <luigiwalser> 6.3.0-2.mga4
+ Revision: 468280
- rebuild for libebml

* Wed Jul 24 2013 dams <dams> 6.3.0-1.mga4
+ Revision: 457551
- new version 6.3.0

* Wed Jul 10 2013 fwang <fwang> 6.2.0-2.mga4
+ Revision: 452404
- rebuild for new boost

* Tue Jun 18 2013 zezinho <zezinho> 6.2.0-1.mga4
+ Revision: 444783
- new version

* Thu Apr 11 2013 malo <malo> 6.1.0-2.mga3
+ Revision: 409495
- rebuild for boost 1.53

* Mon Mar 11 2013 zezinho <zezinho> 6.1.0-1.mga3
+ Revision: 402107
- new version

* Thu Feb 21 2013 barjac <barjac> 5.9.0-4.mga3
+ Revision: 399796
- remove un-needed line in %%files causing listed twice warning

* Sat Jan 12 2013 umeabot <umeabot> 5.9.0-3.mga3
+ Revision: 360142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 5.9.0-2.mga3
+ Revision: 333052
- rebuild for new boost

* Thu Dec 13 2012 zezinho <zezinho> 5.9.0-1.mga3
+ Revision: 330455
- new version

* Tue Nov 27 2012 zezinho <zezinho> 5.8.0-2.mga3
+ Revision: 322429
- fix rpm group

* Mon Sep 03 2012 fwang <fwang> 5.8.0-1.mga3
+ Revision: 287483
- new version 5.8.0

* Wed Aug 01 2012 fwang <fwang> 5.7.0-2.mga3
+ Revision: 277166
- rebuild for new boost

* Wed Jul 11 2012 fwang <fwang> 5.7.0-1.mga3
+ Revision: 269373
- new version 5.7.0

* Thu May 31 2012 fwang <fwang> 5.6.0-1.mga3
+ Revision: 252096
- new version 5.6.0

* Wed May 30 2012 fwang <fwang> 5.3.0-2.mga3
+ Revision: 250108
- rebuild for new boost

* Sun Feb 19 2012 luigiwalser <luigiwalser> 5.3.0-1.mga2
+ Revision: 210690
- fix BuildRequires
- 5.3.0

* Sun Jan 08 2012 zezinho <zezinho> 5.2.1-1.mga2
+ Revision: 193487
- add uk manpages
- new version

* Tue Dec 06 2011 fwang <fwang> 5.1.0-1.mga2
+ Revision: 177245
- br curl
- new version 5.1.00

* Mon Nov 28 2011 fwang <fwang> 5.0.1-2.mga2
+ Revision: 173613
- rebuild for new boost

* Sun Oct 30 2011 supp <supp> 5.0.1-1.mga2
+ Revision: 160143
- update to 5.0.1

* Mon Sep 26 2011 fwang <fwang> 5.0.0-1.mga2
+ Revision: 148438
- new version 5.0.0
- rebuild for new boost
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Mon Jul 18 2011 ahmad <ahmad> 4.9.1-1.mga2
+ Revision: 125777
- Update to 4.9.1
- Covert BR to pkgconfig style (when possible)

* Wed Jun 22 2011 fwang <fwang> 4.8.0-2.mga2
+ Revision: 111916
- rebuild for new boost

* Thu Jun 09 2011 ahmad <ahmad> 4.8.0-1.mga2
+ Revision: 102064
- Update to 4.8.0
- Drop BR qt4-devel (it was wrongly added in a previous commit)
- Disable BR libmatroska-devel, according to the upstream changelog:
  "For the time being the build system will always build and link statically
   against the internal versions of libEBML and libMatroska."

* Wed Apr 13 2011 ahmad <ahmad> 4.6.0-1.mga1
+ Revision: 84066
- update to 4.6.0

* Wed Feb 02 2011 dmorgan <dmorgan> 4.5.0-1.mga1
+ Revision: 46440
- New version

* Wed Jan 26 2011 ahmad <ahmad> 4.4.0-2.mga1
+ Revision: 39846
- drop old/unneeded scriptlets
- imported package mkvtoolnix


* Tue Nov 02 2010 Götz Waschk <waschk@mandriva.org> 4.4.0-1mdv2011.0
+ Revision: 591911
- update to new version 4.4.0

* Sun Sep 05 2010 Götz Waschk <waschk@mandriva.org> 4.3.0-1mdv2011.0
+ Revision: 576128
- new version
- build with ruby's drake instead of make

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 4.2.0-3mdv2011.0
+ Revision: 572638
- rebuild

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 4.2.0-2mdv2011.0
+ Revision: 566030
- rebuild for new boost

* Wed Jul 28 2010 Götz Waschk <waschk@mandriva.org> 4.2.0-1mdv2011.0
+ Revision: 562786
- new version

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 4.1.1-1mdv2011.0
+ Revision: 550534
- new version
- bump libmatroska dep
- use upstream icons and desktop entry
- update file list

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 3.3.0-1mdv2010.1
+ Revision: 527348
- update to new version 3.3.0
- bump wxgtk dep

* Sat Feb 13 2010 Götz Waschk <waschk@mandriva.org> 3.2.0-1mdv2010.1
+ Revision: 505372
- new version
- add Chinese man pages

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 3.1.0-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 3.1.0-2mdv2010.1
+ Revision: 500092
- rebuild for new boost

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 3.1.0-1mdv2010.1
+ Revision: 494008
- bump boost dep
- disable qt build which was enabled by accident
- update build deps
- new version
- add japanese man pages

* Sun Dec 13 2009 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2010.1
+ Revision: 478108
- update to new version 3.0.0

* Thu Nov 26 2009 Götz Waschk <waschk@mandriva.org> 2.9.9-1mdv2010.1
+ Revision: 470311
- update to new version 2.9.9

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 2.9.8-2mdv2010.0
+ Revision: 418869
- rebuild for new libboost

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 2.9.8-1mdv2010.0
+ Revision: 416276
- update to new version 2.9.8

* Thu Jul 02 2009 Götz Waschk <waschk@mandriva.org> 2.9.7-1mdv2010.0
+ Revision: 391839
- new version

* Sun Jun 07 2009 Götz Waschk <waschk@mandriva.org> 2.9.5-1mdv2010.0
+ Revision: 383754
- update to new version 2.9.5

* Mon Jun 01 2009 Götz Waschk <waschk@mandriva.org> 2.9.0-1mdv2010.0
+ Revision: 381982
- update to new version 2.9.0

* Sat May 09 2009 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdv2010.0
+ Revision: 373843
- update to new version 2.8.0

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.7.0-1mdv2010.0
+ Revision: 368990
- new version
- bump boost dep

* Sun Mar 08 2009 Götz Waschk <waschk@mandriva.org> 2.5.3-1mdv2009.1
+ Revision: 352896
- update to new version 2.5.3

* Sat Feb 28 2009 Götz Waschk <waschk@mandriva.org> 2.5.2-1mdv2009.1
+ Revision: 346178
- update to new version 2.5.2
- reenable werror flag

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2009.1
+ Revision: 344042
- new version
- disable format string werror
- update file list

* Sun Jan 18 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2009.1
+ Revision: 330984
- new version
- drop patch

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 2.4.1-2mdv2009.1
+ Revision: 316869
- rebuild for new boost

* Sun Dec 07 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2009.1
+ Revision: 311572
- new version
- fix build

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2009.1
+ Revision: 293110
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2009.0
+ Revision: 282822
- new version
- update license
- update build deps

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 2.2.0-3mdv2009.0
+ Revision: 252598
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 180145
- new version

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 148264
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 19 2007 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdv2008.0
+ Revision: 67039
- new version


* Wed Feb 21 2007 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
+ Revision: 123804
- new version
- bump deps

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.1
+ Revision: 108365
- new version
- fix build

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-3mdv2007.1
+ Revision: 100701
- rebuild

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-2mdv2007.1
+ Revision: 89574
- rebuild for new flac

* Sun Nov 26 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-1mdv2007.1
+ Revision: 87328
- new version

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2007.1
+ Revision: 81059
- fix buildrequires
- new version

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-4mdv2007.1
+ Revision: 65873
- fix buildrequires
- Import mkvtoolnix

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-3mdv2007.1
- drop useless patch

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-2mdv2007.0
- xdg menu

* Sun Apr 30 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-1mdk
- update buildrequires
- New release 1.7.0

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- rediff the patch
- New release 1.6.5

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-3mdk
- merge patches
- wxGTK unicode build

* Sat Oct 22 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-2mdk
- Rebuild

* Sat Oct 15 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- New release 1.6.0

* Thu Sep 08 2005 Götz Waschk <waschk@mandriva.org> 1.5.6-1mdk
- drop patch 0
- New release 1.5.6

* Mon Aug 22 2005 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdk
- New release 1.5.5

* Sat Jul 02 2005 Götz Waschk <waschk@mandriva.org> 1.5.0-1mdk
- New release 1.5.0

* Thu Jun 30 2005 Götz Waschk <waschk@mandriva.org> 1.4.2-4mdk
- patch 2 to build with new liblzo

* Thu Jun 02 2005 Götz Waschk <waschk@mandriva.org> 1.4.2-3mdk
- patch 1 to work around broken wx-config alternative
- mkrel
- rebuild for new lzo

* Wed Apr 27 2005 Götz Waschk <waschk@mandriva.org> 1.4.2-2mdk
- add the help file
- rebuild for new wxGTK

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- New release 1.4.2

* Tue Mar 15 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- New release 1.4.1

* Sat Feb 26 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- New release 1.4.0

* Mon Feb 07 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- requires new matroska
- New release 1.0.2

* Tue Dec 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Wed Nov 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- new version
- requires new libmatroska

* Tue Aug 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- requires new matroska
- New release 0.9.5

* Tue Aug 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- rebuild for new flac

* Mon Jul 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- requires new matroska
- New release 0.9.4

* Mon Jul 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- buildrequires flac
- New release 0.9.3

* Thu Jul 01 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- New release 0.9.2

* Mon Jun 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- New release 0.9.1

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- rebuild for new g++

* Wed Jun 02 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Sat May 08 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.9-1mdk
- build with wxGTK 2.5
- add source URL
- new version

* Sat Apr 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- requires new libmatroska
- new version

* Sat Apr 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- new version

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.6-1mdk
- requires new ebml
- new version

* Mon Feb 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- new version

